Bug 827127

Summary: double-close bugs in libvirt
Product: [Fedora] Fedora Reporter: Eric Blake <eblake>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 16CC: acathrow, ajia, berrange, clalancette, crobinso, dallan, dougsland, dyasny, dyuan, eblake, gsun, itamar, jforbes, juzhang, jwest, jyang, laine, libvirt-maint, linuxdev-bm, linuxdev-kernel-it, lsoft-lapl-pj, ltroan, mfuruta, michen, myamazak, mzhan, plyons, rwu, tmuneda, veillard, virt-maint, weizhan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 827125 Environment:
Last Closed: 2012-07-05 19:45:10 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 823716, 827125    
Bug Blocks:    

Comment 1 Eric Blake 2012-05-31 13:03:19 EDT
We need six consecutive commits backported to F16, as this set of double-close bugs can cause rather insidious failures of libvirt.

b19c236d69278c967d2d8b4aae97ac76213f1c10 qemu: avoid closing fd more than once
746ff701e8727439cac8ca72531d82e5cb7fa129 command: check for fork error before closing fd
f3cfc7c8848006b613e09bb1acd081716854527e fdstream: avoid double close bug
da831afcf2f6c0d3ed1ea3128a6208f548a05d8f command: avoid double close bugs
655cffa0f25be40c68624036af80bde102177612 avoid fd leak
0a045f01cfa48fabd41c801e3f44034a4e6da485 avoid closing uninitialized fd
Comment 2 Fedora Update System 2012-06-24 19:55:23 EDT
libvirt-0.9.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6.1-1.fc16
Comment 3 Fedora Update System 2012-06-25 20:55:59 EDT
Package libvirt-0.9.6.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.6.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9913/libvirt-0.9.6.1-1.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-05 19:45:10 EDT
libvirt-0.9.6.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.